OaIdl.SAFEARRAYByReference (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.SAFEARRAYByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.SAFEARRAYByReference

- All Implemented Interfaces:
    Structure.ByReference
  Enclosing interface:
    OaIdl

      @Structure.FieldOrder(value="pSAFEARRAY")
      public static class OaIdl.SAFEARRAYByReference
      extends Structure
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OaIdl.SAFEARRAY.ByReference` | `pSAFEARRAY`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAFEARRAYByReference()`
    `SAFEARRAYByReference(OaIdl.SAFEARRAY.ByReference safeArray)`
    `SAFEARRAYByReference(Pointer p)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pSAFEARRAY

          public OaIdl.SAFEARRAY.ByReference pSAFEARRAY

  - ### Constructor Detail

    - #### SAFEARRAYByReference

          public SAFEARRAYByReference()

    - #### SAFEARRAYByReference

          public SAFEARRAYByReference(Pointer p)

    - #### SAFEARRAYByReference

          public SAFEARRAYByReference(OaIdl.SAFEARRAY.ByReference safeArray)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.